Last Comment Bug 569591 - [AMO] Update addons.mozilla.org on 6/3 @ 4pm
: [AMO] Update addons.mozilla.org on 6/3 @ 4pm
Status: VERIFIED FIXED
06/03/2010 @ 4pm
:
Product: Infrastructure & Operations
Classification: Other
Component: WebOps: Other (show other bugs)
: other
: All Other
: -- normal (vote)
: ---
Assigned To: Jeremy Orem [:oremj]
: matthew zeier [:mrz]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-02 08:44 PDT by Wil Clouser [:clouserw]
Modified: 2013-10-09 10:29 PDT (History)
7 users (show)
mzeier: needs‑downtime+
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---
Cab Review: ServiceNow Change Request (use flag)


Attachments

Description Wil Clouser [:clouserw] 2010-06-02 08:44:04 PDT
These are preliminary steps to update AMO on Thursday and might be tweaked a bit.  Please read the whole bug+comments before starting.  This has a short downtime in it (redirecting site traffic while updating the site).  

1) Redirect site traffic

2) Update zamboni; update submodules; pip install new libraries

3) Run `./manage.py compress_assets`

4) Run `schematic migrations` from zamboni root

5) `svn revert -R` if necessary, then `svn up` addons.mozilla.org

6) `svn revert -R` if necessary, then `svn up` services.addons.mozilla.org

7) Restart apache to pick up gettext changes

8) Clear all caches (Zeus, memcache, local cake cache) on both AMO and SAMO.

9) Let zamboni serve some URLs.  If you paste in the current zamboni redirects for PAMO and AMO I can tell you which ones should be copied to AMO.

10) Import the production crontab file into cron

I still need to tag the site so this bug is serving as advanced notice for now.
Thanks.
Comment 1 matthew zeier [:mrz] 2010-06-02 09:48:29 PDT
User facing downtime?  Worthy of an actual notice?  Or silent push?
Comment 2 Wil Clouser [:clouserw] 2010-06-02 10:44:18 PDT
(In reply to comment #1)
> User facing downtime?  Worthy of an actual notice?  Or silent push?

I put downtime in the OP, but if you guys think you can switch it quickly it doesn't matter to me.  There is no downtime from our side, just however long it takes you to update+push the files.
Comment 3 Jeff Balogh (:jbalogh) 2010-06-02 16:46:00 PDT
11) Restart celeryd
Comment 4 Jeff Balogh (:jbalogh) 2010-06-03 08:38:31 PDT
We need to pull in the vendor library:

2) git clone --recursive git://github.com/jbalogh/zamboni-lib.git vendor; git fetch && git co -f origin/next; git submodule update --init
Comment 5 Wil Clouser [:clouserw] 2010-06-03 13:19:55 PDT
Thumbs up from us, we're all tagged and ready to go.  We still need feedback from you for step 9.  Let us know if you have any questions.
Comment 6 krupa raj[:krupa] 2010-06-03 14:17:12 PDT
Please make a note of the current version of Sphinx in production before the push.We need to ensure that Sphinx remains on the same version, post-release.
Comment 7 Jeff Balogh (:jbalogh) 2010-06-03 15:34:20 PDT
I think http://pastebin.mozilla.org/730883 has all the rewrites we're looking for.
Comment 8 Jeremy Orem [:oremj] 2010-06-03 16:26:03 PDT
Git updated.

Running migration 35:
-- Cleans out the whitespace
UPDATE translations
SET
    localized_string=TRIM(localized_string),
    localized_string_clean=TRIM(localized_string_clean)
WHERE id IN (SELECT name FROM addons WHERE name IS NOT NULL);

-- ~181 changed in <9s

That took 12.32 seconds
################################################## 

Running migration 36:
INSERT INTO download_sources (name, type, created)
VALUES ('creatured', 'full', NOW());

That took 0.01 seconds
################################################## 

Running migration 37:
ALTER TABLE addons
    ADD COLUMN current_version int(11) UNSIGNED,
    ADD CONSTRAINT
        FOREIGN KEY (current_version)
            REFERENCES versions (id) ON DELETE SET NULL;

That took 41.61 seconds
################################################## 

Running migration 38:
-- Bug 539064; p=jorgev
INSERT INTO `test_cases` (`id`, `test_group_id`, `help_link`, `function`)
VALUES (422, 42, NULL, 'theme_security_checkCodeExecution');

That took 0.04 seconds
################################################## 

Running migration 39:
CREATE TABLE `stats_firefoxcup` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `created` datetime NOT NULL,
  `modified` datetime NOT NULL,
  `persona_id` int(10) unsigned NOT NULL,
  `popularity` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `firefoxcup_popularityhistory_persona_id` (`persona_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

That took 0.35 seconds
################################################## 

Running migration 40:
-- Make personas queries faster
CREATE INDEX `personas_movers_idx` ON personas (movers);
CREATE INDEX `personas_popularity_idx` ON personas (popularity);

That took 24.77 seconds
##################################################
Comment 9 Jeremy Orem [:oremj] 2010-06-03 16:28:06 PDT
 U   .

Fetching external item into 'site'
D    site/app/locale/sr-Latn
U    site/app/locale/sv_SE/LC_MESSAGES/messages.mo
U    site/app/locale/sv_SE/LC_MESSAGES/messages.po
U    site/app/locale/sv_SE/LC_MESSAGES/z-javascript.mo
U    site/app/locale/sv_SE/LC_MESSAGES/z-messages.mo
U    site/app/locale/sv_SE/LC_MESSAGES/z-javascript.po
U    site/app/locale/sv_SE/LC_MESSAGES/z-messages.po
A    site/app/locale/sv_SE/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/uk/LC_MESSAGES/messages.mo
U    site/app/locale/uk/LC_MESSAGES/messages.po
U    site/app/locale/uk/LC_MESSAGES/z-messages.mo
U    site/app/locale/uk/LC_MESSAGES/z-javascript.po
U    site/app/locale/uk/LC_MESSAGES/z-messages.po
A    site/app/locale/uk/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/sq/LC_MESSAGES/messages.mo
U    site/app/locale/sq/LC_MESSAGES/messages.po
U    site/app/locale/sq/LC_MESSAGES/z-messages.mo
U    site/app/locale/sq/LC_MESSAGES/z-javascript.po
U    site/app/locale/sq/LC_MESSAGES/z-messages.po
A    site/app/locale/sq/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/z-keys.pot
U    site/app/locale/da/LC_MESSAGES/messages.mo
U    site/app/locale/da/LC_MESSAGES/messages.po
U    site/app/locale/da/LC_MESSAGES/z-messages.mo
U    site/app/locale/da/LC_MESSAGES/z-javascript.po
U    site/app/locale/da/LC_MESSAGES/z-messages.po
A    site/app/locale/da/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/sr/LC_MESSAGES/messages.mo
U    site/app/locale/sr/LC_MESSAGES/messages.po
U    site/app/locale/sr/LC_MESSAGES/z-messages.mo
U    site/app/locale/sr/LC_MESSAGES/z-javascript.po
U    site/app/locale/sr/LC_MESSAGES/z-messages.po
A    site/app/locale/sr/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/fa/LC_MESSAGES/messages.mo
U    site/app/locale/fa/LC_MESSAGES/messages.po
U    site/app/locale/fa/LC_MESSAGES/z-messages.mo
U    site/app/locale/fa/LC_MESSAGES/z-javascript.po
U    site/app/locale/fa/LC_MESSAGES/z-messages.po
A    site/app/locale/fa/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/bg/LC_MESSAGES/messages.mo
U    site/app/locale/bg/LC_MESSAGES/messages.po
U    site/app/locale/bg/LC_MESSAGES/z-messages.mo
U    site/app/locale/bg/LC_MESSAGES/z-javascript.po
U    site/app/locale/bg/LC_MESSAGES/z-messages.po
A    site/app/locale/bg/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/de/LC_MESSAGES/messages.mo
U    site/app/locale/de/LC_MESSAGES/messages.po
U    site/app/locale/de/LC_MESSAGES/z-messages.mo
U    site/app/locale/de/LC_MESSAGES/z-javascript.po
U    site/app/locale/de/LC_MESSAGES/z-messages.po
A    site/app/locale/de/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/ja/LC_MESSAGES/messages.mo
U    site/app/locale/ja/LC_MESSAGES/messages.po
U    site/app/locale/ja/LC_MESSAGES/z-messages.mo
U    site/app/locale/ja/LC_MESSAGES/z-javascript.po
A    site/app/locale/ja/LC_MESSAGES/z-firefoxcup.mo
U    site/app/locale/ja/LC_MESSAGES/z-messages.po
A    site/app/locale/ja/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/he/LC_MESSAGES/messages.mo
U    site/app/locale/he/LC_MESSAGES/messages.po
U    site/app/locale/he/LC_MESSAGES/z-messages.mo
U    site/app/locale/he/LC_MESSAGES/z-javascript.po
U    site/app/locale/he/LC_MESSAGES/z-messages.po
A    site/app/locale/he/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/fi/LC_MESSAGES/messages.po
U    site/app/locale/fi/LC_MESSAGES/z-javascript.po
U    site/app/locale/fi/LC_MESSAGES/z-messages.po
A    site/app/locale/fi/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/es_ES/LC_MESSAGES/messages.mo
U    site/app/locale/es_ES/LC_MESSAGES/messages.po
U    site/app/locale/es_ES/LC_MESSAGES/z-javascript.mo
U    site/app/locale/es_ES/LC_MESSAGES/z-messages.mo
U    site/app/locale/es_ES/LC_MESSAGES/z-javascript.po
U    site/app/locale/es_ES/LC_MESSAGES/z-messages.po
A    site/app/locale/es_ES/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/sr_Latn/LC_MESSAGES/messages.po
U    site/app/locale/sr_Latn/LC_MESSAGES/z-javascript.po
U    site/app/locale/sr_Latn/LC_MESSAGES/z-messages.po
A    site/app/locale/sr_Latn/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/pt_BR/LC_MESSAGES/messages.mo
U    site/app/locale/pt_BR/LC_MESSAGES/messages.po
U    site/app/locale/pt_BR/LC_MESSAGES/z-messages.mo
U    site/app/locale/pt_BR/LC_MESSAGES/z-javascript.po
U    site/app/locale/pt_BR/LC_MESSAGES/z-messages.po
A    site/app/locale/pt_BR/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/fr/LC_MESSAGES/messages.mo
U    site/app/locale/fr/LC_MESSAGES/messages.po
U    site/app/locale/fr/LC_MESSAGES/z-javascript.mo
U    site/app/locale/fr/LC_MESSAGES/z-messages.mo
U    site/app/locale/fr/LC_MESSAGES/z-javascript.po
U    site/app/locale/fr/LC_MESSAGES/z-messages.po
A    site/app/locale/fr/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/nl/LC_MESSAGES/messages.mo
U    site/app/locale/nl/LC_MESSAGES/messages.po
U    site/app/locale/nl/LC_MESSAGES/z-javascript.mo
U    site/app/locale/nl/LC_MESSAGES/z-messages.mo
U    site/app/locale/nl/LC_MESSAGES/z-javascript.po
U    site/app/locale/nl/LC_MESSAGES/z-messages.po
A    site/app/locale/nl/LC_MESSAGES/z-firefoxcup.po
A    site/app/locale/en_GB
A    site/app/locale/en_GB/LC_MESSAGES
A    site/app/locale/en_GB/LC_MESSAGES/messages.mo
A    site/app/locale/en_GB/LC_MESSAGES/messages.po
A    site/app/locale/en_GB/LC_MESSAGES/z-javascript.mo
A    site/app/locale/en_GB/LC_MESSAGES/z-messages.mo
A    site/app/locale/en_GB/LC_MESSAGES/z-javascript.po
A    site/app/locale/en_GB/LC_MESSAGES/z-messages.po
A    site/app/locale/en_GB/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/th/LC_MESSAGES/messages.po
U    site/app/locale/th/LC_MESSAGES/z-javascript.po
U    site/app/locale/th/LC_MESSAGES/z-messages.po
A    site/app/locale/th/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/pl/LC_MESSAGES/messages.mo
U    site/app/locale/pl/LC_MESSAGES/messages.po
U    site/app/locale/pl/LC_MESSAGES/z-javascript.mo
U    site/app/locale/pl/LC_MESSAGES/z-messages.mo
U    site/app/locale/pl/LC_MESSAGES/z-javascript.po
U    site/app/locale/pl/LC_MESSAGES/z-messages.po
A    site/app/locale/pl/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/hu/LC_MESSAGES/messages.mo
U    site/app/locale/hu/LC_MESSAGES/messages.po
U    site/app/locale/hu/LC_MESSAGES/z-messages.mo
U    site/app/locale/hu/LC_MESSAGES/z-javascript.po
U    site/app/locale/hu/LC_MESSAGES/z-messages.po
A    site/app/locale/hu/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/z-javascript.pot
U    site/app/locale/vi/LC_MESSAGES/messages.mo
U    site/app/locale/vi/LC_MESSAGES/messages.po
U    site/app/locale/vi/LC_MESSAGES/z-messages.mo
U    site/app/locale/vi/LC_MESSAGES/z-javascript.po
U    site/app/locale/vi/LC_MESSAGES/z-messages.po
A    site/app/locale/vi/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/ro/LC_MESSAGES/messages.mo
U    site/app/locale/ro/LC_MESSAGES/messages.po
U    site/app/locale/ro/LC_MESSAGES/z-messages.mo
U    site/app/locale/ro/LC_MESSAGES/z-javascript.po
U    site/app/locale/ro/LC_MESSAGES/z-messages.po
A    site/app/locale/ro/LC_MESSAGES/z-firefoxcup.po
A    site/app/locale/z-firefoxcup.pot
U    site/app/locale/ca/LC_MESSAGES/messages.mo
U    site/app/locale/ca/LC_MESSAGES/messages.po
U    site/app/locale/ca/LC_MESSAGES/z-messages.mo
U    site/app/locale/ca/LC_MESSAGES/z-javascript.po
U    site/app/locale/ca/LC_MESSAGES/z-messages.po
A    site/app/locale/ca/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/tr/LC_MESSAGES/messages.po
U    site/app/locale/tr/LC_MESSAGES/z-javascript.po
U    site/app/locale/tr/LC_MESSAGES/z-messages.po
A    site/app/locale/tr/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/ru/LC_MESSAGES/messages.mo
U    site/app/locale/ru/LC_MESSAGES/messages.po
U    site/app/locale/ru/LC_MESSAGES/z-messages.mo
U    site/app/locale/ru/LC_MESSAGES/z-javascript.po
U    site/app/locale/ru/LC_MESSAGES/z-messages.po
A    site/app/locale/ru/LC_MESSAGES/z-firefoxcup.po
A    site/app/locale/pt_PT/pages/contact.thtml
U    site/app/locale/pt_PT/LC_MESSAGES/messages.mo
U    site/app/locale/pt_PT/LC_MESSAGES/messages.po
U    site/app/locale/pt_PT/LC_MESSAGES/z-messages.mo
U    site/app/locale/pt_PT/LC_MESSAGES/z-javascript.po
U    site/app/locale/pt_PT/LC_MESSAGES/z-messages.po
A    site/app/locale/pt_PT/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/af/LC_MESSAGES/messages.po
U    site/app/locale/af/LC_MESSAGES/z-messages.mo
U    site/app/locale/af/LC_MESSAGES/z-javascript.po
U    site/app/locale/af/LC_MESSAGES/z-messages.po
A    site/app/locale/af/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/zh_TW/LC_MESSAGES/messages.mo
U    site/app/locale/zh_TW/LC_MESSAGES/messages.po
U    site/app/locale/zh_TW/LC_MESSAGES/z-javascript.mo
U    site/app/locale/zh_TW/LC_MESSAGES/z-messages.mo
U    site/app/locale/zh_TW/LC_MESSAGES/z-javascript.po
A    site/app/locale/zh_TW/LC_MESSAGES/z-firefoxcup.mo
U    site/app/locale/zh_TW/LC_MESSAGES/z-messages.po
A    site/app/locale/zh_TW/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/id/LC_MESSAGES/messages.mo
U    site/app/locale/id/LC_MESSAGES/messages.po
U    site/app/locale/id/LC_MESSAGES/z-messages.mo
U    site/app/locale/id/LC_MESSAGES/z-javascript.po
U    site/app/locale/id/LC_MESSAGES/z-messages.po
A    site/app/locale/id/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/el/LC_MESSAGES/messages.mo
U    site/app/locale/el/LC_MESSAGES/messages.po
U    site/app/locale/el/LC_MESSAGES/z-messages.mo
U    site/app/locale/el/LC_MESSAGES/z-javascript.po
U    site/app/locale/el/LC_MESSAGES/z-messages.po
A    site/app/locale/el/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/zh_CN/LC_MESSAGES/messages.mo
U    site/app/locale/zh_CN/LC_MESSAGES/messages.po
U    site/app/locale/zh_CN/LC_MESSAGES/z-messages.mo
U    site/app/locale/zh_CN/LC_MESSAGES/z-javascript.po
U    site/app/locale/zh_CN/LC_MESSAGES/z-messages.po
A    site/app/locale/zh_CN/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/ar/LC_MESSAGES/messages.mo
U    site/app/locale/ar/LC_MESSAGES/messages.po
U    site/app/locale/ar/LC_MESSAGES/z-messages.mo
U    site/app/locale/ar/LC_MESSAGES/z-javascript.po
U    site/app/locale/ar/LC_MESSAGES/z-messages.po
A    site/app/locale/ar/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/ga_IE/LC_MESSAGES/messages.mo
U    site/app/locale/ga_IE/LC_MESSAGES/messages.po
U    site/app/locale/ga_IE/LC_MESSAGES/z-messages.mo
U    site/app/locale/ga_IE/LC_MESSAGES/z-javascript.po
U    site/app/locale/ga_IE/LC_MESSAGES/z-messages.po
A    site/app/locale/ga_IE/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/cs/LC_MESSAGES/messages.mo
U    site/app/locale/cs/LC_MESSAGES/messages.po
U    site/app/locale/cs/LC_MESSAGES/z-javascript.mo
U    site/app/locale/cs/LC_MESSAGES/z-messages.mo
U    site/app/locale/cs/LC_MESSAGES/z-javascript.po
A    site/app/locale/cs/LC_MESSAGES/z-firefoxcup.mo
U    site/app/locale/cs/LC_MESSAGES/z-messages.po
A    site/app/locale/cs/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/fy_NL/LC_MESSAGES/messages.po
U    site/app/locale/fy_NL/LC_MESSAGES/z-javascript.po
U    site/app/locale/fy_NL/LC_MESSAGES/z-messages.po
A    site/app/locale/fy_NL/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/ko/LC_MESSAGES/messages.mo
U    site/app/locale/ko/LC_MESSAGES/messages.po
U    site/app/locale/ko/LC_MESSAGES/z-messages.mo
U    site/app/locale/ko/LC_MESSAGES/z-javascript.po
U    site/app/locale/ko/LC_MESSAGES/z-messages.po
A    site/app/locale/ko/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/eu/LC_MESSAGES/messages.mo
U    site/app/locale/eu/LC_MESSAGES/messages.po
U    site/app/locale/eu/LC_MESSAGES/z-messages.mo
U    site/app/locale/eu/LC_MESSAGES/z-javascript.po
U    site/app/locale/eu/LC_MESSAGES/z-messages.po
A    site/app/locale/eu/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/en_US/pages/validation.thtml
U    site/app/locale/en_US/pages/docs/policies/reviews.thtml
U    site/app/locale/en_US/LC_MESSAGES/messages.mo
U    site/app/locale/en_US/LC_MESSAGES/messages.po
U    site/app/locale/en_US/LC_MESSAGES/z-javascript.mo
U    site/app/locale/en_US/LC_MESSAGES/z-messages.mo
U    site/app/locale/en_US/LC_MESSAGES/z-javascript.po
U    site/app/locale/en_US/LC_MESSAGES/z-messages.po
A    site/app/locale/en_US/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/mn/LC_MESSAGES/messages.mo
U    site/app/locale/mn/LC_MESSAGES/messages.po
U    site/app/locale/mn/LC_MESSAGES/z-messages.mo
U    site/app/locale/mn/LC_MESSAGES/z-javascript.po
U    site/app/locale/mn/LC_MESSAGES/z-messages.po
A    site/app/locale/mn/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/cy/LC_MESSAGES/messages.mo
U    site/app/locale/cy/LC_MESSAGES/messages.po
U    site/app/locale/cy/LC_MESSAGES/z-messages.mo
U    site/app/locale/cy/LC_MESSAGES/z-javascript.po
U    site/app/locale/cy/LC_MESSAGES/z-messages.po
A    site/app/locale/cy/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/r-keys.pot
U    site/app/locale/it/LC_MESSAGES/messages.mo
U    site/app/locale/it/LC_MESSAGES/messages.po
U    site/app/locale/it/LC_MESSAGES/z-messages.mo
U    site/app/locale/it/LC_MESSAGES/z-javascript.po
U    site/app/locale/it/LC_MESSAGES/z-messages.po
A    site/app/locale/it/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/sk/LC_MESSAGES/messages.mo
U    site/app/locale/sk/LC_MESSAGES/messages.po
U    site/app/locale/sk/LC_MESSAGES/z-javascript.mo
U    site/app/locale/sk/LC_MESSAGES/z-messages.mo
U    site/app/locale/sk/LC_MESSAGES/z-javascript.po
U    site/app/locale/sk/LC_MESSAGES/z-messages.po
A    site/app/locale/sk/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/copy-to-zamboni.py
A    site/app/locale/sl
A    site/app/locale/sl/LC_MESSAGES
A    site/app/locale/sl/LC_MESSAGES/messages.mo
A    site/app/locale/sl/LC_MESSAGES/messages.po
A    site/app/locale/sl/LC_MESSAGES/z-javascript.mo
A    site/app/locale/sl/LC_MESSAGES/z-messages.mo
A    site/app/locale/sl/LC_MESSAGES/z-javascript.po
A    site/app/locale/sl/LC_MESSAGES/z-messages.po
A    site/app/locale/sl/LC_MESSAGES/z-firefoxcup.po
U    site/app/webroot/css/amo2009/zamboni/discovery-pane.css
U    site/app/webroot/css/amo2009/nojs.css
U    site/app/webroot/css/amo2009/style.min.css
U    site/app/webroot/css/amo2009/main.css
D    site/app/webroot/js/webtrends/webtrends.js
A    site/app/webroot/js/webtrends/webtrends-v0.1.js
A    site/app/webroot/js/zamboni/discovery.js
U    site/app/webroot/js/amo2009/collections.js
D    site/app/tests/selenium/smokeTests
A    site/app/tests/selenium/pythonTests
A    site/app/tests/selenium/pythonTests/AMO_persona_search.py
A    site/app/tests/selenium/pythonTests/test_searchAPIlimit.py
A    site/app/tests/selenium/pythonTests/test_searchAPItypeOld.py
A    site/app/tests/selenium/pythonTests/test_searchAPItype.py
A    site/app/tests/selenium/pythonTests/test_searchAPIplatformOld.py
A    site/app/tests/selenium/pythonTests/AMO_category_landing_layout.py
A    site/app/tests/selenium/pythonTests/test_searchAPIversionOld.py
A    site/app/tests/selenium/pythonTests/test_searchAPIplatform.py
A    site/app/tests/selenium/pythonTests/AMO_collections_landing_layout.py
A    site/app/tests/selenium/pythonTests/test_searchAPIversion.py
A    site/app/tests/selenium/pythonTests/AMO_category_search_sort.py
A    site/app/tests/selenium/pythonTests/AMOfunctions.py
A    site/app/tests/selenium/pythonTests/GridConnection.py
A    site/app/tests/selenium/pythonTests/generalFunctions.py
A    site/app/tests/selenium/pythonTests/TCparams.py
A    site/app/tests/selenium/pythonTests/AMO_511_suite.py
A    site/app/tests/selenium/pythonTests/AMO_home_page_layout.py
A    site/app/tests/selenium/pythonTests/test_searchAPIapps.py
A    site/app/tests/selenium/pythonTests/AMO_smoke_test_suite.py
A    site/app/tests/selenium/pythonTests/AMOlocators.py
A    site/app/tests/selenium/pythonTests/AMO_category_landing_lists.py
A    site/app/tests/selenium/pythonTests/test_searchAPIcat.py
A    site/app/tests/selenium/pythonTests/test_searchAPImobile.py
U    site/app/config/sql/remora.sql
U    site/app/config/revisions.php
U    site/app/controllers/legacy_url_controller.php
U    site/app/controllers/components/validation.php
U    site/app/controllers/components/stats.php
U    site/app/controllers/components/hub.php
U    site/app/controllers/tags_controller.php
U    site/app/controllers/developers_controller.php
U    site/app/controllers/collections_controller.php
U    site/app/views/layouts/amo2009.thtml
U    site/app/views/layouts/mozilla.thtml
U    site/app/views/addons/dictionaries.thtml
U    site/app/views/addons/browse_thumbs.thtml
U    site/app/views/elements/amo2009/localizers/dashboard_sidebar.thtml
U    site/app/views/elements/amo2009/breadcrumbs.thtml
Updated external to revision 68301.


Fetching external item into 'bin'
G    bin/utils.py
U    bin/import-personas.py
Updated external to revision 68301.


Fetching external item into 'site/vendors/product-details'
U    site/vendors/product-details/export_json.php
U    site/vendors/product-details/productDetails.class.php
U    site/vendors/product-details/history/firefoxHistory.class.php
U    site/vendors/product-details/firefoxDetails.class.php
U    site/vendors/product-details/json/firefox_primary_builds.json
U    site/vendors/product-details/json/firefox_history_development_releases.json
U    site/vendors/product-details/json/firefox_versions.json
U    site/vendors/product-details/json/mobile_details.json
U    site/vendors/product-details/README
Updated external to revision 68301.


Fetching external item into 'bin/schematic'
Updated external to revision 68301.


Fetching external item into 'site/vendors/zxtm-api'
Updated external to revision 68301.


Fetching external item into 'site/vendors/phorms'
Updated external to revision 68301.


Fetching external item into 'site/vendors/fizzypop'
Updated external to revision 68301.


Fetching external item into 'site/vendors/l10n-completeness-check'
Updated external to revision 68301.


Fetching external item into 'site/vendors/gearman-php'
Updated external to revision 68301.


Fetching external item into 'site/vendors/sphinx/api'
Updated external to revision 1822.

Updated to revision 68317.

services.addons.mozilla.org]# svn up
 U   .

Fetching external item into 'site'
D    site/app/locale/sr-Latn
U    site/app/locale/sv_SE/LC_MESSAGES/messages.mo
U    site/app/locale/sv_SE/LC_MESSAGES/messages.po
U    site/app/locale/sv_SE/LC_MESSAGES/z-javascript.mo
U    site/app/locale/sv_SE/LC_MESSAGES/z-messages.mo
U    site/app/locale/sv_SE/LC_MESSAGES/z-javascript.po
U    site/app/locale/sv_SE/LC_MESSAGES/z-messages.po
A    site/app/locale/sv_SE/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/uk/LC_MESSAGES/messages.mo
U    site/app/locale/uk/LC_MESSAGES/messages.po
U    site/app/locale/uk/LC_MESSAGES/z-messages.mo
U    site/app/locale/uk/LC_MESSAGES/z-javascript.po
U    site/app/locale/uk/LC_MESSAGES/z-messages.po
A    site/app/locale/uk/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/sq/LC_MESSAGES/messages.mo
U    site/app/locale/sq/LC_MESSAGES/messages.po
U    site/app/locale/sq/LC_MESSAGES/z-messages.mo
U    site/app/locale/sq/LC_MESSAGES/z-javascript.po
U    site/app/locale/sq/LC_MESSAGES/z-messages.po
A    site/app/locale/sq/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/z-keys.pot
U    site/app/locale/da/LC_MESSAGES/messages.mo
U    site/app/locale/da/LC_MESSAGES/messages.po
U    site/app/locale/da/LC_MESSAGES/z-messages.mo
U    site/app/locale/da/LC_MESSAGES/z-javascript.po
U    site/app/locale/da/LC_MESSAGES/z-messages.po
A    site/app/locale/da/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/sr/LC_MESSAGES/messages.mo
U    site/app/locale/sr/LC_MESSAGES/messages.po
U    site/app/locale/sr/LC_MESSAGES/z-messages.mo
U    site/app/locale/sr/LC_MESSAGES/z-javascript.po
U    site/app/locale/sr/LC_MESSAGES/z-messages.po
A    site/app/locale/sr/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/fa/LC_MESSAGES/messages.mo
U    site/app/locale/fa/LC_MESSAGES/messages.po
U    site/app/locale/fa/LC_MESSAGES/z-messages.mo
U    site/app/locale/fa/LC_MESSAGES/z-javascript.po
U    site/app/locale/fa/LC_MESSAGES/z-messages.po
A    site/app/locale/fa/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/bg/LC_MESSAGES/messages.mo
U    site/app/locale/bg/LC_MESSAGES/messages.po
U    site/app/locale/bg/LC_MESSAGES/z-messages.mo
U    site/app/locale/bg/LC_MESSAGES/z-javascript.po
U    site/app/locale/bg/LC_MESSAGES/z-messages.po
A    site/app/locale/bg/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/de/LC_MESSAGES/messages.mo
U    site/app/locale/de/LC_MESSAGES/messages.po
U    site/app/locale/de/LC_MESSAGES/z-messages.mo
U    site/app/locale/de/LC_MESSAGES/z-javascript.po
U    site/app/locale/de/LC_MESSAGES/z-messages.po
A    site/app/locale/de/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/ja/LC_MESSAGES/messages.mo
U    site/app/locale/ja/LC_MESSAGES/messages.po
U    site/app/locale/ja/LC_MESSAGES/z-messages.mo
U    site/app/locale/ja/LC_MESSAGES/z-javascript.po
A    site/app/locale/ja/LC_MESSAGES/z-firefoxcup.mo
U    site/app/locale/ja/LC_MESSAGES/z-messages.po
A    site/app/locale/ja/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/he/LC_MESSAGES/messages.mo
U    site/app/locale/he/LC_MESSAGES/messages.po
U    site/app/locale/he/LC_MESSAGES/z-messages.mo
U    site/app/locale/he/LC_MESSAGES/z-javascript.po
U    site/app/locale/he/LC_MESSAGES/z-messages.po
A    site/app/locale/he/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/fi/LC_MESSAGES/messages.po
U    site/app/locale/fi/LC_MESSAGES/z-javascript.po
U    site/app/locale/fi/LC_MESSAGES/z-messages.po
A    site/app/locale/fi/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/es_ES/LC_MESSAGES/messages.mo
U    site/app/locale/es_ES/LC_MESSAGES/messages.po
U    site/app/locale/es_ES/LC_MESSAGES/z-javascript.mo
U    site/app/locale/es_ES/LC_MESSAGES/z-messages.mo
U    site/app/locale/es_ES/LC_MESSAGES/z-javascript.po
U    site/app/locale/es_ES/LC_MESSAGES/z-messages.po
A    site/app/locale/es_ES/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/sr_Latn/LC_MESSAGES/messages.po
U    site/app/locale/sr_Latn/LC_MESSAGES/z-javascript.po
U    site/app/locale/sr_Latn/LC_MESSAGES/z-messages.po
A    site/app/locale/sr_Latn/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/pt_BR/LC_MESSAGES/messages.mo
U    site/app/locale/pt_BR/LC_MESSAGES/messages.po
U    site/app/locale/pt_BR/LC_MESSAGES/z-messages.mo
U    site/app/locale/pt_BR/LC_MESSAGES/z-javascript.po
U    site/app/locale/pt_BR/LC_MESSAGES/z-messages.po
A    site/app/locale/pt_BR/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/fr/LC_MESSAGES/messages.mo
U    site/app/locale/fr/LC_MESSAGES/messages.po
U    site/app/locale/fr/LC_MESSAGES/z-javascript.mo
U    site/app/locale/fr/LC_MESSAGES/z-messages.mo
U    site/app/locale/fr/LC_MESSAGES/z-javascript.po
U    site/app/locale/fr/LC_MESSAGES/z-messages.po
A    site/app/locale/fr/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/nl/LC_MESSAGES/messages.mo
U    site/app/locale/nl/LC_MESSAGES/messages.po
U    site/app/locale/nl/LC_MESSAGES/z-javascript.mo
U    site/app/locale/nl/LC_MESSAGES/z-messages.mo
U    site/app/locale/nl/LC_MESSAGES/z-javascript.po
U    site/app/locale/nl/LC_MESSAGES/z-messages.po
A    site/app/locale/nl/LC_MESSAGES/z-firefoxcup.po
A    site/app/locale/en_GB
A    site/app/locale/en_GB/LC_MESSAGES
A    site/app/locale/en_GB/LC_MESSAGES/messages.mo
A    site/app/locale/en_GB/LC_MESSAGES/messages.po
A    site/app/locale/en_GB/LC_MESSAGES/z-javascript.mo
A    site/app/locale/en_GB/LC_MESSAGES/z-messages.mo
A    site/app/locale/en_GB/LC_MESSAGES/z-javascript.po
A    site/app/locale/en_GB/LC_MESSAGES/z-messages.po
A    site/app/locale/en_GB/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/th/LC_MESSAGES/messages.po
U    site/app/locale/th/LC_MESSAGES/z-javascript.po
U    site/app/locale/th/LC_MESSAGES/z-messages.po
A    site/app/locale/th/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/pl/LC_MESSAGES/messages.mo
U    site/app/locale/pl/LC_MESSAGES/messages.po
U    site/app/locale/pl/LC_MESSAGES/z-javascript.mo
U    site/app/locale/pl/LC_MESSAGES/z-messages.mo
U    site/app/locale/pl/LC_MESSAGES/z-javascript.po
U    site/app/locale/pl/LC_MESSAGES/z-messages.po
A    site/app/locale/pl/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/hu/LC_MESSAGES/messages.mo
U    site/app/locale/hu/LC_MESSAGES/messages.po
U    site/app/locale/hu/LC_MESSAGES/z-messages.mo
U    site/app/locale/hu/LC_MESSAGES/z-javascript.po
U    site/app/locale/hu/LC_MESSAGES/z-messages.po
A    site/app/locale/hu/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/z-javascript.pot
U    site/app/locale/vi/LC_MESSAGES/messages.mo
U    site/app/locale/vi/LC_MESSAGES/messages.po
U    site/app/locale/vi/LC_MESSAGES/z-messages.mo
U    site/app/locale/vi/LC_MESSAGES/z-javascript.po
U    site/app/locale/vi/LC_MESSAGES/z-messages.po
A    site/app/locale/vi/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/ro/LC_MESSAGES/messages.mo
U    site/app/locale/ro/LC_MESSAGES/messages.po
U    site/app/locale/ro/LC_MESSAGES/z-messages.mo
U    site/app/locale/ro/LC_MESSAGES/z-javascript.po
U    site/app/locale/ro/LC_MESSAGES/z-messages.po
A    site/app/locale/ro/LC_MESSAGES/z-firefoxcup.po
A    site/app/locale/z-firefoxcup.pot
U    site/app/locale/ca/LC_MESSAGES/messages.mo
U    site/app/locale/ca/LC_MESSAGES/messages.po
U    site/app/locale/ca/LC_MESSAGES/z-messages.mo
U    site/app/locale/ca/LC_MESSAGES/z-javascript.po
U    site/app/locale/ca/LC_MESSAGES/z-messages.po
A    site/app/locale/ca/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/tr/LC_MESSAGES/messages.po
U    site/app/locale/tr/LC_MESSAGES/z-javascript.po
U    site/app/locale/tr/LC_MESSAGES/z-messages.po
A    site/app/locale/tr/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/ru/LC_MESSAGES/messages.mo
U    site/app/locale/ru/LC_MESSAGES/messages.po
U    site/app/locale/ru/LC_MESSAGES/z-messages.mo
U    site/app/locale/ru/LC_MESSAGES/z-javascript.po
U    site/app/locale/ru/LC_MESSAGES/z-messages.po
A    site/app/locale/ru/LC_MESSAGES/z-firefoxcup.po
A    site/app/locale/pt_PT/pages/contact.thtml
U    site/app/locale/pt_PT/LC_MESSAGES/messages.mo
U    site/app/locale/pt_PT/LC_MESSAGES/messages.po
U    site/app/locale/pt_PT/LC_MESSAGES/z-messages.mo
U    site/app/locale/pt_PT/LC_MESSAGES/z-javascript.po
U    site/app/locale/pt_PT/LC_MESSAGES/z-messages.po
A    site/app/locale/pt_PT/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/af/LC_MESSAGES/messages.po
U    site/app/locale/af/LC_MESSAGES/z-messages.mo
U    site/app/locale/af/LC_MESSAGES/z-javascript.po
U    site/app/locale/af/LC_MESSAGES/z-messages.po
A    site/app/locale/af/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/zh_TW/LC_MESSAGES/messages.mo
U    site/app/locale/zh_TW/LC_MESSAGES/messages.po
U    site/app/locale/zh_TW/LC_MESSAGES/z-javascript.mo
U    site/app/locale/zh_TW/LC_MESSAGES/z-messages.mo
U    site/app/locale/zh_TW/LC_MESSAGES/z-javascript.po
A    site/app/locale/zh_TW/LC_MESSAGES/z-firefoxcup.mo
U    site/app/locale/zh_TW/LC_MESSAGES/z-messages.po
A    site/app/locale/zh_TW/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/id/LC_MESSAGES/messages.mo
U    site/app/locale/id/LC_MESSAGES/messages.po
U    site/app/locale/id/LC_MESSAGES/z-messages.mo
U    site/app/locale/id/LC_MESSAGES/z-javascript.po
U    site/app/locale/id/LC_MESSAGES/z-messages.po
A    site/app/locale/id/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/el/LC_MESSAGES/messages.mo
U    site/app/locale/el/LC_MESSAGES/messages.po
U    site/app/locale/el/LC_MESSAGES/z-messages.mo
U    site/app/locale/el/LC_MESSAGES/z-javascript.po
U    site/app/locale/el/LC_MESSAGES/z-messages.po
A    site/app/locale/el/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/zh_CN/LC_MESSAGES/messages.mo
U    site/app/locale/zh_CN/LC_MESSAGES/messages.po
U    site/app/locale/zh_CN/LC_MESSAGES/z-messages.mo
U    site/app/locale/zh_CN/LC_MESSAGES/z-javascript.po
U    site/app/locale/zh_CN/LC_MESSAGES/z-messages.po
A    site/app/locale/zh_CN/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/ar/LC_MESSAGES/messages.mo
U    site/app/locale/ar/LC_MESSAGES/messages.po
U    site/app/locale/ar/LC_MESSAGES/z-messages.mo
U    site/app/locale/ar/LC_MESSAGES/z-javascript.po
U    site/app/locale/ar/LC_MESSAGES/z-messages.po
A    site/app/locale/ar/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/ga_IE/LC_MESSAGES/messages.mo
U    site/app/locale/ga_IE/LC_MESSAGES/messages.po
U    site/app/locale/ga_IE/LC_MESSAGES/z-messages.mo
U    site/app/locale/ga_IE/LC_MESSAGES/z-javascript.po
U    site/app/locale/ga_IE/LC_MESSAGES/z-messages.po
A    site/app/locale/ga_IE/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/cs/LC_MESSAGES/messages.mo
U    site/app/locale/cs/LC_MESSAGES/messages.po
U    site/app/locale/cs/LC_MESSAGES/z-javascript.mo
U    site/app/locale/cs/LC_MESSAGES/z-messages.mo
U    site/app/locale/cs/LC_MESSAGES/z-javascript.po
A    site/app/locale/cs/LC_MESSAGES/z-firefoxcup.mo
U    site/app/locale/cs/LC_MESSAGES/z-messages.po
A    site/app/locale/cs/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/fy_NL/LC_MESSAGES/messages.po
U    site/app/locale/fy_NL/LC_MESSAGES/z-javascript.po
U    site/app/locale/fy_NL/LC_MESSAGES/z-messages.po
A    site/app/locale/fy_NL/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/ko/LC_MESSAGES/messages.mo
U    site/app/locale/ko/LC_MESSAGES/messages.po
U    site/app/locale/ko/LC_MESSAGES/z-messages.mo
U    site/app/locale/ko/LC_MESSAGES/z-javascript.po
U    site/app/locale/ko/LC_MESSAGES/z-messages.po
A    site/app/locale/ko/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/eu/LC_MESSAGES/messages.mo
U    site/app/locale/eu/LC_MESSAGES/messages.po
U    site/app/locale/eu/LC_MESSAGES/z-messages.mo
U    site/app/locale/eu/LC_MESSAGES/z-javascript.po
U    site/app/locale/eu/LC_MESSAGES/z-messages.po
A    site/app/locale/eu/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/en_US/pages/validation.thtml
U    site/app/locale/en_US/pages/docs/policies/reviews.thtml
U    site/app/locale/en_US/LC_MESSAGES/messages.mo
U    site/app/locale/en_US/LC_MESSAGES/messages.po
U    site/app/locale/en_US/LC_MESSAGES/z-javascript.mo
U    site/app/locale/en_US/LC_MESSAGES/z-messages.mo
U    site/app/locale/en_US/LC_MESSAGES/z-javascript.po
U    site/app/locale/en_US/LC_MESSAGES/z-messages.po
A    site/app/locale/en_US/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/mn/LC_MESSAGES/messages.mo
U    site/app/locale/mn/LC_MESSAGES/messages.po
U    site/app/locale/mn/LC_MESSAGES/z-messages.mo
U    site/app/locale/mn/LC_MESSAGES/z-javascript.po
U    site/app/locale/mn/LC_MESSAGES/z-messages.po
A    site/app/locale/mn/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/cy/LC_MESSAGES/messages.mo
U    site/app/locale/cy/LC_MESSAGES/messages.po
U    site/app/locale/cy/LC_MESSAGES/z-messages.mo
U    site/app/locale/cy/LC_MESSAGES/z-javascript.po
U    site/app/locale/cy/LC_MESSAGES/z-messages.po
A    site/app/locale/cy/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/r-keys.pot
U    site/app/locale/it/LC_MESSAGES/messages.mo
U    site/app/locale/it/LC_MESSAGES/messages.po
U    site/app/locale/it/LC_MESSAGES/z-messages.mo
U    site/app/locale/it/LC_MESSAGES/z-javascript.po
U    site/app/locale/it/LC_MESSAGES/z-messages.po
A    site/app/locale/it/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/sk/LC_MESSAGES/messages.mo
U    site/app/locale/sk/LC_MESSAGES/messages.po
U    site/app/locale/sk/LC_MESSAGES/z-javascript.mo
U    site/app/locale/sk/LC_MESSAGES/z-messages.mo
U    site/app/locale/sk/LC_MESSAGES/z-javascript.po
U    site/app/locale/sk/LC_MESSAGES/z-messages.po
A    site/app/locale/sk/LC_MESSAGES/z-firefoxcup.po
U    site/app/locale/copy-to-zamboni.py
A    site/app/locale/sl
A    site/app/locale/sl/LC_MESSAGES
A    site/app/locale/sl/LC_MESSAGES/messages.mo
A    site/app/locale/sl/LC_MESSAGES/messages.po
A    site/app/locale/sl/LC_MESSAGES/z-javascript.mo
A    site/app/locale/sl/LC_MESSAGES/z-messages.mo
A    site/app/locale/sl/LC_MESSAGES/z-javascript.po
A    site/app/locale/sl/LC_MESSAGES/z-messages.po
A    site/app/locale/sl/LC_MESSAGES/z-firefoxcup.po
U    site/app/webroot/css/amo2009/zamboni/discovery-pane.css
U    site/app/webroot/css/amo2009/nojs.css
U    site/app/webroot/css/amo2009/style.min.css
U    site/app/webroot/css/amo2009/main.css
D    site/app/webroot/js/webtrends/webtrends.js
A    site/app/webroot/js/webtrends/webtrends-v0.1.js
A    site/app/webroot/js/zamboni/discovery.js
U    site/app/webroot/js/amo2009/collections.js
D    site/app/tests/selenium/smokeTests
A    site/app/tests/selenium/pythonTests
A    site/app/tests/selenium/pythonTests/AMO_persona_search.py
A    site/app/tests/selenium/pythonTests/test_searchAPIlimit.py
A    site/app/tests/selenium/pythonTests/test_searchAPItypeOld.py
A    site/app/tests/selenium/pythonTests/test_searchAPItype.py
A    site/app/tests/selenium/pythonTests/test_searchAPIplatformOld.py
A    site/app/tests/selenium/pythonTests/AMO_category_landing_layout.py
A    site/app/tests/selenium/pythonTests/test_searchAPIversionOld.py
A    site/app/tests/selenium/pythonTests/test_searchAPIplatform.py
A    site/app/tests/selenium/pythonTests/AMO_collections_landing_layout.py
A    site/app/tests/selenium/pythonTests/test_searchAPIversion.py
A    site/app/tests/selenium/pythonTests/AMO_category_search_sort.py
A    site/app/tests/selenium/pythonTests/AMOfunctions.py
A    site/app/tests/selenium/pythonTests/GridConnection.py
A    site/app/tests/selenium/pythonTests/generalFunctions.py
A    site/app/tests/selenium/pythonTests/TCparams.py
A    site/app/tests/selenium/pythonTests/AMO_511_suite.py
A    site/app/tests/selenium/pythonTests/AMO_home_page_layout.py
A    site/app/tests/selenium/pythonTests/test_searchAPIapps.py
A    site/app/tests/selenium/pythonTests/AMO_smoke_test_suite.py
A    site/app/tests/selenium/pythonTests/AMOlocators.py
A    site/app/tests/selenium/pythonTests/AMO_category_landing_lists.py
A    site/app/tests/selenium/pythonTests/test_searchAPIcat.py
A    site/app/tests/selenium/pythonTests/test_searchAPImobile.py
U    site/app/config/sql/remora.sql
U    site/app/config/revisions.php
U    site/app/controllers/legacy_url_controller.php
U    site/app/controllers/components/validation.php
U    site/app/controllers/components/stats.php
U    site/app/controllers/components/hub.php
U    site/app/controllers/tags_controller.php
U    site/app/controllers/developers_controller.php
U    site/app/controllers/collections_controller.php
U    site/app/views/layouts/amo2009.thtml
U    site/app/views/layouts/mozilla.thtml
U    site/app/views/addons/dictionaries.thtml
U    site/app/views/addons/browse_thumbs.thtml
U    site/app/views/elements/amo2009/localizers/dashboard_sidebar.thtml
U    site/app/views/elements/amo2009/breadcrumbs.thtml
Updated external to revision 68301.


Fetching external item into 'bin'
U    bin/utils.py
U    bin/import-personas.py
Updated external to revision 68301.


Fetching external item into 'site/vendors/product-details'
U    site/vendors/product-details/export_json.php
U    site/vendors/product-details/productDetails.class.php
U    site/vendors/product-details/history/firefoxHistory.class.php
U    site/vendors/product-details/firefoxDetails.class.php
U    site/vendors/product-details/json/firefox_primary_builds.json
U    site/vendors/product-details/json/firefox_history_development_releases.json
U    site/vendors/product-details/json/firefox_versions.json
U    site/vendors/product-details/json/mobile_details.json
U    site/vendors/product-details/README
Updated external to revision 68301.


Fetching external item into 'bin/schematic'
Updated external to revision 68301.


Fetching external item into 'site/vendors/zxtm-api'
Updated external to revision 68301.


Fetching external item into 'site/vendors/phorms'
Updated external to revision 68301.


Fetching external item into 'site/vendors/fizzypop'
Updated external to revision 68301.


Fetching external item into 'site/vendors/l10n-completeness-check'
Updated external to revision 68301.


Fetching external item into 'site/vendors/gearman-php'
Updated external to revision 68301.


Fetching external item into 'site/vendors/sphinx/api'
Updated external to revision 1822.

Updated to revision 68317.
Comment 10 Jeremy Orem [:oremj] 2010-06-03 16:31:36 PDT
Changes to vhost:

--- httpd-app-amo/etc-httpd/conf/domains/addons.mozilla.org.remora.conf	(revision 7025)
+++ httpd-app-amo/etc-httpd/conf/domains/addons.mozilla.org.remora.conf	(working copy)
@@ -16,6 +16,13 @@
 
     RewriteEngine On
     RewriteRule ^/z/ - [L]
+    RewriteRule ^((?:(?:/\w{2,3}(?:-\w{2})?)(?:/(?:firefox|seamonkey|thunderbird|mobile|sunbird))?)?/?)$ /z$1 [PT]
+    RewriteRule ^((?:(?:/\w{2,3}(?:-\w{2})?)(?:/(?:firefox|seamonkey|thunderbird|mobile|sunbird))?)?/addon/\d+/?)$ /z$1 [PT]
+    RewriteRule ^((?:(?:/\w{2,3}(?:-\w{2})?)(?:/(?:firefox|seamonkey|thunderbird|mobile|sunbird))?)?/extensions(?:/.*)?)$ /z$1 [PT]
+    RewriteRule ^((?:(?:/\w{2,3}(?:-\w{2})?)(?:/(?:firefox|seamonkey|thunderbird|mobile|sunbird))?)?/opensearch.xml)$ /z$1 [PT]
+    RewriteRule ^((?:(?:/\w{2,3}(?:-\w{2})?)(?:/(?:firefox|seamonkey|thunderbird|mobile|sunbird))?)?/(?:pages/)?(?:about|faq))$ /z$1 [PT]
+    RewriteRule ^((?:(?:/\w{2,3}(?:-\w{2})?)(?:/(?:firefox|seamonkey|thunderbird|mobile|sunbird))?)?/browse/type:1/cat:[^/]+/?)$ /z$1 [PT]
+    RewriteRule ^((?:/\w{2,3}(?:-\w{2})?)?/firefoxcup.*)$ /z$1 [PT]
     RewriteRule ^((?:/[^/]+){0,2}/addons/buttons.js(?:/.*)?)$ /z$1 [PT]
     RewriteRule ^(/services/paypal(?:/.*)?) /z$1 [PT]
     RewriteRule ^(/services/monitor)$ /z$1 [PT]
@@ -26,8 +33,7 @@
 
     WSGIScriptAlias /z /data/amo_python/www/prod/zamboni/wsgi/zamboni.wsgi
 
-    WSGIDaemonProcess zamboni_prod processes=16 threads=1 \
-        python-path=/data/virtualenvs/zamboni/lib/python2.6/site-packages
+    WSGIDaemonProcess zamboni_prod processes=16 threads=1
     WSGIProcessGroup zamboni_prod
 
     RewriteEngine On
Comment 11 Jeremy Orem [:oremj] 2010-06-03 17:32:24 PDT
Done.
Comment 12 Stephen Donner [:stephend] - PTO; back on 5/28 2010-06-03 18:42:19 PDT
The "Dictionaries" breadcrumb link on https://addons.mozilla.org/en-US/firefox/addon/3046/ is still a 404; it points to https://addons.mozilla.org/en-US/firefox/language-tools/
Comment 13 Jeff Balogh (:jbalogh) 2010-06-03 18:56:06 PDT
(In reply to comment #12)
> The "Dictionaries" breadcrumb link on
> https://addons.mozilla.org/en-US/firefox/addon/3046/ is still a 404; it points
> to https://addons.mozilla.org/en-US/firefox/language-tools/

Fixed.
Comment 14 krupa raj[:krupa] 2010-06-03 19:42:38 PDT
Production looks good.Any new issues will be tracked as separate bugs.

Note You need to log in before you can comment on or make changes to this bug.